libIEC61850 缓冲区错误漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1872266 漏洞类型 缓冲区错误
发布时间 2019-12-23 更新时间 2019-12-31
CVE编号 CVE-2019-19944 CNNVD-ID CNNVD-201912-1014
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201912-1014
|漏洞详情
libIEC61850是一个IEC 61850协议的开源库。 libIEC61850 1.4.0版本中的mms/asn1/ber_decode.c文件的‘BerDecoder_decodeUint32’函数存在缓冲区错误漏洞。该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。
|参考资料

来源:github.com

链接:https://github.com/mz-automation/libiec61850/issues/196